Research on *delayed open source publication* (DOSP): the practice of
publishing a software release under a proprietary license, then later
publishing that release's source code under an open source license.

While delayed open source publication been somewhat rare, there are
some examples of it across the history of open source -- in fact, some
of the examples (e.g., Aladdin Ghostscript) predate the coining of the
term "open source".  To the best of our knowledge, when software
authors have done this it has usually been in a fairly predictable
way.  For example, when release N goes out under a proprietary
license, release N-1 is then (re)published under an open source
license.

This repository is a collection of research, and eventually a
whitepaper, about various examples of DOSP and show how they are alike
or different.  We will also analyze the effects (if any) of this
practice generally on open source as a field.  Our purpose is to
provide accurate historical description and objective analysis; our
work here represents no position on the desirability or undesirability
of delayed open source publication.

This research is supported by the [Open Source Initiative
(OSI)](https://opensource.org/).

## Terminology

We are not necessarily settled on the term "delayed open source
publication".  If you can suggest a better term for the phenomenon,
please let us know.

## Contributing

You can email us at `dosp-research {_AT_} opensource.org` or [file a
ticket](https://code.librehq.com/ots/dosp-research/-/issues/new) to
contact us.

To build the whitepaper from LaTeX source, you will need to use
[OTS DocTools](https://code.librehq.com/ots/ots-doctools).

Just kidding -- the whitepaper doesn't exist yet.  Instead, we have
this free-form [notes file](notes.md).  For now, that's the right
landing place for contributions.
