This file contains free-form notes.  Anyone working on this project,
please feel free to reformat this (including to something other than
Markdown) if you want.

# Examples

Note that some of these examples are still just pointers that will
need followup.

* The license now named the "Bootstrap Open Source License" (BOSL) was
  formerly known as the "Transitive Grace Period Public Licence"
  (TGPPL).  

  The 2020 blog post [Introducing BOSL, a radically new type of
  open-source
  license](https://electriccoin.co/blog/introducing-tgppl-a-radically-new-type-of-open-source-license/)
  discusses the license and gives some examples of its use.

  An earlier (2010) writeup about TGPPL from Ted T'so is
  [The Transitive Grace Period Public Licence: good ideas come
  around…](https://thunk.org/tytso/blog/2010/01/20/the-transitive-grace-period-public-licence-good-ideas-come-around/).

  [Tahoe-LAFS](https://github.com/tahoe-lafs/tahoe-lafs) seems to have
  a somewhat complicated (though still open source) licensing
  situation, but it appears to be also published under the TGPPL?

  And Zooko might be using BOSL or TGPPL for other things as well.
  (See also https://github.com/zooko/tgppl -- note that Richard
  Fontana is in the commit history there.)

* Aladdin Ghostscript

* Sleepycat and BerkeleyDB?

* [Sentry](https://github.com/getsentry/sentry/blob/master/LICENSE)
  (Business Source License (BUSL)).

* Codecov (also from Sentry) is also BUSL.

  See https://blog.sentry.io/lets-talk-about-open-source/.

* The post [Why Open Source
  Matters](https://redmonk.com/sogrady/2023/08/03/why-opensource-matters/)
  from RedMonk (Aug 2023) points to some other examples.  (Also, it's
  a really good post, in Karl's opinion, not that anyone asked him,
  but hey, if you're editing the notes file then you get to insert
  your opinions.)

* Hashicorp and BUSL
  - https://www.hashicorp.com/license-faq#Why-is-HashiCorp-making-this-change
  - https://www.hashicorp.com/blog/hashicorp-adopts-business-source-license

* Child Mind Institute's _MindLogger_ 
  - uses its self-rolled _"Delayed Open Source Attribution License"_ 
  - [license file on GH](https://github.com/ChildMindInstitute/mindlogger-applet-builder/blob/master/LICENSE.md)

* Akka (BUSL) [license FAQ](https://www.lightbend.com/akka/license-faq)

* CockroachDB (BUSL) [licensing FAQs](https://www.cockroachlabs.com/docs/stable/licensing-faqs)

* [Zed](https://zed.dev/blog/open-sourcing-zed-on-zed)

  (suggested by @Zaeraxa in reply to https://news.ycombinator.com/item?id=37745772)

* [Ghostty](https://mitchellh.com/ghostty)

  (suggested by @Zaeraxa in reply to https://news.ycombinator.com/item?id=37745772)

* [Atom (text editor)](https://atom-editor.cc/blog/2014/05/06/atom-is-now-open-source/)

  (suggested by @Zaeraxa in reply to https://news.ycombinator.com/item?id=37745772)

* FreeBSD netgraph

* MariaDB

* MkDocs

* "northroadgeo" projects [delayed open source mechanism not immediately clear?](https://north-road.com/#)

@jjgreen followed up in https://news.ycombinator.com/item?id=37745772
to say: "North Road's SLYR (ESRI to QGIS Compatibility Suite) does
that (and rather good code it is too).  https://north-road.com/slyr/ .
I see North Road is actually on your list, but eventual openness not
obvious.  I think that's clear for SLYR at least."

edit: I see North Road is actually on your list, but eventual openness not obvious. I think that's clear for SLYR at least

* Onivim 2 (was this unplanned?) [issue](https://github.com/onivim/oni2/issues/3771)

* OPSI ["co-funding"](https://www.opsi.org/de/dokumentation/opsi-lizenz-und-copyright https://forum.opsi.org/viewtopic.php?t=1193)

* OTRS (open source -> delayed -> proprietary)

* Pixelfed ["will be open sourced when we reach v1"](https://pixelfed.org/mobile-apps)

* Qt (officially delayed releases in the past??)

* The post [GPL Time-bomb an interesting approach to #FOSS
  licensing](https://boyter.org/2016/08/gpl-time-bomb-interesting-approach-foss-licensing/)
  by Ben Boyter mentions "searchcode" server being under an
  "eventually open" license.

# An annoying nomenclature problem

Even though we seem to think that the Business Source License should be
called BUSL, most of its end-users seem to refer to it as BSL!  It
may be awkward if we end up having a ton of citations where we say
things like "the project FooWare announced it was using BUSL in 2022
(see 'Announcing FooCorp's Switch to BSL')".

# Taxonomy

I (Seth) think there's a distinction to be made between these three cases:

* "automatic": licenses that are not open source licenses but that state
  (in the license text somewhere) that they automatically convert /
  automatically permit use and redistribution subject to a specified
  open source license after a period of time

* "manual": publicly announced practices of manually relicensing old codebase
  snapshots on a particular schedule, which depend on a person at the company
  explicitly making a delayed open source release

(In some sense, this is a potential distinction between a "delayed open
source licensing business practice" and a "delayed open source license".)

* "post-hoc" / "unscheduled": proprietary software that eventually was
  relicensed under an open source license, without a public statement of
  intent to do so at the time of its original publication, or without a
  published schedule for the conversion

I would include the former two in the scope of the report but not the
latter one (except to explain how it's different).  Some people have been
suggesting some of these cases (which can be fairly famous, like Netscape
Navigator!), but I think these should be thought of as more of a one-time
"change" than a "delay".

# Threads where we have posted

Look in the follow-ups in these threads (and subthreads thereof) for
more examples.  Please add other threads here too.

* https://kfogel.org/notice/AZSlnFS0GBe2x7Rd6u
* https://twitter.com/kfogel/status/1699104095976423795
* https://chat.opentechstrategies.com/#narrow/stream/2-general/topic/DOSP/near/172793
* https://news.ycombinator.com/item?id=37745772

# Resources to check

* Free Software Business (fsb) mailing list archives at https://web.archive.org/web/20210000000000\*/http://www.crynwr.com/cgi-bin/ezmlm-cgi/0/

# More people to contact as we're gathering examples

If your name should be on the list below but isn't, please [let us
know](https://code.librehq.com/ots/dosp-research/-/issues/new)!

* Deb Bryant
* Danese Cooper
* Heather Meeker
* Abby Kearns
* Sam Ramji
* Your Name Here...

# Sources / Acknowledgements

* Simon Phipps
* Stefano Maffulli
* Nick Vidal
* Bastian Greshake Tzovaras
